@property --active-program-progress {
    initial-value: 0%;
    syntax: '<percentage>';
    inherits: false;
}
body {
    padding: 0px;
    margin: 0px;
}
/* 滚动条样式设置 */
::-webkit-scrollbar {
    width: 0px;
    background-color: #00000000;
}
::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    border-radius: 10px;
    background-color: rgba(0, 0, 0, 0);
}
::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
    background-color: rgba(255, 255, 255, .1);
}
.header_info_bar{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
}
.header_info_bar>div{
    font-family:'微软雅黑', Arial, Helvetica, sans-serif;
    font-size: 1.5rem;
    padding: 0px 30px;
}
.header_info_bar>div>.title{
    color: #7f7f7f;
    font-size: 1rem;
}
/* 设置页面样式 */
.settings_container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    row-gap: 8px;
}
.settings_container>div>.title {
    font-size: 1.2rem;
    border-bottom: solid 1px #eee;
    font-weight: bold;
}
.state_success {
}
.state_warn{
    color: #ffffff;
    background-color: #b1751b;
}
.state_error {
    color: #ffffff;
    padding: 4px 8px;
    animation: state_error .5s steps(2) infinite;
}
@keyframes state_error {
    0% {
        background-color: unset;
    }
    100% {
        background-color: #F56C6C;
    }
}
.footbar {
    border-top: 1px dashed #ffffff10;
    width: 100%;
    color: #ffffff80;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}